/*
 * @Author: Kane
 * @Date: 2023-06-03 20:02:28
 * @LastEditors: Kane
 * @FilePath: /desktop_archievement_backend/src/main/java/com/cpic/xim/utils/ranking/CallerRanking.java
 * @Description: 坐席排行榜项目
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.utils.ranking;

import com.fasterxml.jackson.annotation.JsonProperty;

public class CallerRankingItem
{

    public CallerRankingItem() {}

    public CallerRankingItem( int index, String callName, String appraiseValue )
    {
        this.index = index;
        this.callerName = callName;
        this.appraiseValue = appraiseValue;
    }
    
    public int getIndex()
    {
        return index;
    }

    public void setIndex( int index )
    {
        this.index = index;
    }

    public String getCallerName()
    {
        return callerName;
    }

    public void setCallerName( String callerName )
    {
        this.callerName = callerName;
    }

    public String getAppraiseValue()
    {
        return appraiseValue;
    }

    public void setAppraiseValue( String appraiseValue )
    {
        this.appraiseValue = appraiseValue;
    }

    @JsonProperty("index")
    private int index;

    @JsonProperty("callerName")
    private String callerName;

    @JsonProperty("appraiseValue")
    private String appraiseValue;
}